업데이트 날짜: 2019년 10월 17일

VMware Tools | 2019년 10월 17일 | 빌드 14773994

이 릴리스 정보의 추가 사항 및 업데이트 사항을 확인하십시오.

릴리스 정보에 포함된 내용

릴리스 정보에는 다음과 같은 항목이 포함됩니다.

새로운 기능

  • vRealize Operations Manager 8.0에서 기본 서비스 검색 기능을 사용하거나 이전 릴리스의 vRealize Operations Manager(7.x 또는 이전)에서 vRealize Operations 서비스 탐색 관리 팩을 사용하는 경우에는 이 버전의 VMware Tools로 업그레이드하도록 강력히 권장됩니다. 자세한 내용은 KB 75122를 참조하십시오.

이전 릴리스의 VMware Tools

  • VMware Tools 이전 릴리스의 경우에는 VMware Tools 설명서 페이지를 참조하십시오.

시작하기 전에

  • VMware Tools 11.0.1는 다음 게스트 운영 체제를 지원합니다.
    • windows.iso는 Windows Vista 이상을 지원합니다. 
      • VMware Tools 11.0.1은 Visual Studio 2015, 2017 및 2019용 Microsoft Visual C++ 재배포 가능 패키지에 의존하며 이 제품을 포함합니다. VMware Tools 11.0.1 설치를 위해 시스템을 준비하는 동안 Visual Studio 2015, 2017 및 2019용 Microsoft Visual C++ 재배포 가능 패키지가 시스템에 전제 조건으로 설치됩니다. 이러한 전제 조건을 충족하지 않는 Windows 버전에 대해서는 VMware Tools 11.0.1의 설치 또는 이 버전으로의 업그레이드가 지원되지 않으며 고객은 VMware Tools 11.0.1에 대한 전제 조건을 충족하도록 Windows OS를 패치 또는 업데이트할 때까지 VMware Tools 10.2.x 또는 이전 버전을 계속 사용해야 합니다. 최신 지원 Visual C++ 다운로드에 대해서는 Microsoft의 KB2977003 업데이트를 참조하십시오.
      • Windows OS 수준 전제 조건
        • Windows Server 2019
        • Windows Server 2016
        • Windows 10
        • Windows Server 2012 R2(Microsoft 업데이트 KB2919355)
        • Windows 8.1(Microsoft 업데이트 KB2919355)
        • Windows Server 2012 
        • Windows 8
        • Windows Server 2008 R2 SP1(서비스 팩 1)
        • Windows 7 Service Pack 1(서비스 팩 1)
        • Windows Server 2008 SP2(서비스 팩 2)
        • Windows Vista Service Pack 2(서비스 팩 2)
    • darwin.iso는 Mac OS X 버전 10.11 이상을 지원합니다.
    • Linux.iso에에 대한 자세한 내용은 VMware Tools 10.3.21 릴리스 정보를 참조하십시오.
    • solaris.iso에 대한 자세한 내용은 VMware Tools 10.3.10 릴리스 정보를 참조하십시오.
  • 일부 수명 종료 게스트 운영 체제에 대해서는 VMware Tools ISO 이미지가 고정됩니다. 일부 ISO 이미지는 tools-light VIB에 ESXi와 함께 포함되어 있지 않습니다. 자세한 내용은 VMware Tools 설명서 페이지를 참조하십시오. 모든 VMware Tools ISO 이미지는 http://my.vmware.com에서 다운로드할 수 있습니다.
  • Windows용 VMware Tools: 32비트 및 64비트 설치 관리자 실행 파일(.exe)을 다운로드할 수 있습니다. 이러한 파일은 Windows 게스트 운영 체제에서 VMware Tools를 보다 쉽게 액세스하고 설치하기 위해 제공됩니다.

ESXi 6.0 이상으로 업그레이드하는 방법에 대한 중요 참고 사항

비호환성에 대한 해결 방법 및 일반 지침: ESXi 호스트를 ESXi 6.0 이상으로 업그레이드하며 이전 버전의 Horizon View Agent를 사용하는 경우 아래의 기술 자료 문서를 참조하십시오.

국제화

VMware Tools 11.0.1은 다음 언어로 제공됩니다.

  • 영어
  • 프랑스어
  • 독일어
  • 스페인어
  • 이탈리아어
  • 일본어
  • 한국어
  • 중국어 간체
  • 중국어 번체

제품 지원 알림

  • VMWare Tools에 대한 Windows Vista 이전 iso 이미지는 이제 ESXi와 패키지되지 않습니다. Windows Vista 이전 iso 이미지는 필요한 사용자가 다운로드할 수 있습니다. 다운로드 정보를 보려면 제품 다운로드 페이지를 참조하십시오.

기능 지원 종료 알림

  • VMTools의 다음번 릴리스를 더 이상 Windows Vista SP2 및 Windows Server 2008 SP2에 설치할 수 없습니다.
  • macOS VMware Tools 11.0.0에서 벌룬 드라이버가 제거되었습니다.
  • VMware Tools 11.0.0 릴리스는 Solaris 게스트를 더 이상 지원하지 않습니다.
  • VMware Tools 10.3.5 릴리스와 함께 제공되는 Tar Tools(linux.iso) 및 OSP는 계속 지원됩니다. 그러나 VMware Tools 10.3.5 이후의 릴리스에는 위험 및 보안 수정 사항만 포함되며 이러한 유형의 VMware Tools(Tar Tools 및 OSP)의 새 기능 지원은 포함되지 않습니다. 고객은 open-vm-tools를 지원하는 해당 운영 체제에 대해 open-vm-tools를 사용하는 것이 좋습니다. 다른 유형의 VMware Tools에 대한 자세한 내용은 https://blogs.vmware.com/vsphere/2016/02/understanding-the-three-types-of-vm-tools.html을 참조하십시오.

호환성 참고 사항

  • VMware Tools 버전 10.2.0부터 FreeBSD에 대한 Perl 스크립트 기반 VMware Tools 설치가 중단되었습니다. FreeBSD 시스템은 FreeBSD 패키지 저장소에서 직접 사용할 수 있는 open-vm-tools 패키지를 통해서만 지원됩니다. open-vm-tools 10.1.0 이상용 FreeBSD 패키지는 FreeBSD 패키지 저장소에서 사용할 수 있습니다.

게스트 운영 체제 사용자 지정 지원

게스트 운영 체제 사용자 지정 지원 매트릭스에는 사용자 지정이 지원되는 게스트 운영 체제에 대한 자세한 내용이 나와 있습니다.

상호 운용성 매트릭스

VMware 제품 상호 운용성 매트릭스는 현재 및 이하 버전 VMware 제품의 호환성에 대한 세부 정보를 제공합니다. VMware Tools 11.0.0의 VMware 제품 상호 운용성 매트릭스는 VMware Tools 11.0.1에 적용될 수 있습니다.

이 릴리스의 설치 및 업그레이드

VMware Tools는 제품 다운로드 페이지에서 다운로드할 수 있습니다.

VMware Tools를 설치하는 단계는 사용하는 VMware 제품 및 설치한 게스트 운영 체제에 따라 다릅니다. 대부분의 VMware 제품에서 VMware Tools를 설치하는 일반적인 단계는 일반 VMware Tools 설치 지침(1014294)을 참조하십시오. 공유 데이터스토어를 가리키도록 productLocker를 설정하려면 KB 2004018을 참조하십시오.

VMware Tools의 설치, 업그레이드 및 구성에 대한 세부적인 지침은 VMware Tools 설명서 페이지를 참조하십시오.

VMware Tools에 의해 설치되는 Windows 게스트 드라이버

VMware Tools 11.0.1은 Windows 게스트 운영 체제에서 다음 드라이버 버전을 지원합니다.

드라이버 VMware Tools 11.0.1
하드웨어 드라이버
vmci

9.8.16.0

vsock

9.8.16.0

pvscsi

1.3.15.0

wddm

8.16.07.0000

xpdm

12.1.8.0

vmxnet3

1.8.16.0

vmxnet2

2.2.0.0

vmmouse

12.5.10.0

vmusbmouse

12.5.10.0

vmaudio

5.10.0.3506

efifw 1.0.0.0
소프트웨어 드라이버
vmrawdsk.sys

1.1.5.0

vmmemctl.sys

7.5.4.0

vmhgfs.sys

11.0.40.0

vsepflt.sys

11.0.0.0

vnetflt.sys

11.0.0.0(커널 모드 코드 서명, Windows Vista 및 Windows 2008만 해당)

vnetWFP.sys 

11.0.0.0 

glgxi.sys

2.2.0.0

giappdef

2.2.0.0

보안 DLL
vmwsu.dll

2.0.0.0

해결된 문제

  • vmtoolsd에서 메모리 누수가 발생합니다.

    vSphere Api ListGuestAliasesListGuestMappedAliases가 사용되면 vmtoolsd에서 메모리 누수가 발생합니다.

    이 문제는 이 릴리스에서 해결되었습니다.

알려진 문제

  • 정지 스냅샷을 생성하고 나면 Windows 디바이스 관리자에서 섀도 카피 파티션(고스트 볼륨)이 생성됩니다.

    GPT 디스크에서 정지 스냅샷을 생성하고 나면 Microsoft 섀도 카피 파티션이 생성됩니다.

    해결 방법:

    VMware tools.conf 파일에서 아래 구성을 사용하여 섀도 카피 파티션을 삭제할 수 있습니다.

    [vmbackup]
    deleteShadowCopyPartition=true

  • 일부 버전의 SELinux에서 임의 버전의 open-vm-tools를 사용하여 Linux VM의 게스트를 일시 중단하려고 할 때 실패할 수도 있습니다.

    SELinux를 사용하도록 설정한 상태로 Linux 게스트에서 임의 버전의 open-vm-tools를 실행하여 "게스트 일시 중단" 작업을 수행하면 지연이 발생하고 결국에는 실패할 수 있습니다.

    이러한 실패는 다음과 같이 나타날 수 있습니다.
      - "가상 시스템을 일시 중단하지 못했습니다." 메시지가 표시됩니다.
      - 아무 결과도 발생하지 않은 채로 "게스트 일시 중단" 버튼이 다시 활성화됩니다. IPv4 연결이 닫혀 있을 수 있습니다.
      - 일시 중단이 지연되지만 VM이 재개될 때 IPv4 주소가 손실됩니다.

    30초를 초과해서 명백히 "정지"되는 경우도 문제가 있음을 의미합니다.

    자세한 내용은 KB 74722를 참조하십시오.

    해결 방법:

    selinux-policyselinux-policy-targeted 패키지를 Linux 벤더에서 제공하는 최신 버전으로 업데이트하십시오.  패키지 업데이트를 사용할 수 없거나 문제가 지속되면 다음 해결 방법을 고려하십시오.

    audit2allow 명령으로 vmtools/NetworkManager에 대한 예외를 생성하여 KB 74722에 설명된 대로 로컬 로드 가능 SELinux 정책 모듈을 생성합니다.

  • AppDefense 드라이버 glxgi는 이벤트 뷰어에 오류를 기록합니다.

    AppDefense 드라이버 glxgi는 이벤트 뷰어에 다음과 유사한 오류를 기록합니다.

    "glxgi 서비스가 다음 오류로 인해 시작되지 못했습니다. 시스템에 연결된 디바이스가 작동하지 않습니다."

    이벤트는 게스트 무결성이 사용하지 않도록 설정되었을 때 발견됩니다.

    해결 방법:

    이러한 이벤트는 시스템에 영향을 주지 않으며 무시해도 됩니다.

  • VMware Tools 부팅에 의해 생성되는 이벤트 뷰어 드라이버 경고는 드라이버 glxgi, pvscsi, vsepflt 및 vsock을 시작합니다. 

    Microsoft Hyper-V가 사용되고 Device Guard 및 코드 무결성 정책 집합이 적용되도록 설정된 가상화 기반 보안의 보안 부팅 VM이 있는 경우 드라이버 glxgi, pvscsi, vsepfltvsock이 다음과 비슷한 이벤트 로그 경고를 생성할 수 있습니다.

    로그 이름:      Microsoft-Windows-CodeIntegrity/Operational
    소스:        Microsoft-Windows-CodeIntegrity

    작업 로그:

    경고 

    이벤트 ID:      3083    
    수준:         경고

    설명:
    코드 무결성은 WHQL 요구 사항을 충족하지 않은 커널 모듈 system32\DRIVERS\vsock.sys가 시스템에 로드되었음을 확인했습니다.
    게시자와 함께 WHQL 준수 커널 모듈을 사용할 수 있는지 확인하십시오. 

    해결 방법:

    이러한 경고는 무시해도 됩니다. 드라이버가 로드되고 정상적인 방식으로 작동합니다.

  • VMware Tools 패키지의 설치를 완료하지 못했습니다.

    설치 명령을 실행하여 VMware Tools를 설치하는 동안 대화상자에 진행률 표시줄이 나타납니다. 이 대화상자에는 VMware Tools에서 사용되는 VC 2017 재배포 가능 패키지의 설치 진행률이 표시됩니다. VC 2017 재배포 가능 패키지의 설치가 완료되지 않으며 일반 VMware Tools 설치 대화상자가 표시되지 않습니다.

    VMware Tools 설치 로그는 다음과 유사한 경로의 임시 폴더에서 찾을 수 있습니다.

     %temp%\vminst.log and %temp%\vmmsi.log

    이 문제는 VMware Tools가 Microsoft VC 2017 재배포 가능 패키지를 설치할 때 Microsoft Document Explorer 2008 패키지가 설치된 Windows Vista 서비스 팩 2 운영 체제에서 나타납니다.

    해결 방법:

    VMware Tools를 설치하려면 

    1. Windows Vista 서비스 팩 2 운영 체제에서 Microsoft Document Explorer 2008 패키지를 제거합니다. 
    2. 설치 프로그램을 다시 실행하여 VMware Tools를 설치하거나 업그레이드합니다.
  • VMware Tools 10.3.0의 설치 또는 이 버전으로의 업그레이드가 오래 걸릴 수 있으며 Windows OS를 다시 시작해야 할 수 있습니다.

    설치 프로세스가 진행 중으로 나타나며 다음과 유사한 메시지가 표시됩니다.
    "설치를 위해 'VMware Tools'를 준비하는 중..."

    이 프로세스 중에 사용자에게 운영 체제를 다시 시작하라는 메시지가 표시될 수 있습니다. 

    해결 방법:

    자세한 내용은 KB 55798을 참조하십시오.

  • Ubuntu에서 끌기 기능이 작동하지 않습니다.

    간편 설치를 사용하여 설치한 Ubuntu 16.04.4 32비트 가상 시스템에서 끌기 기능이 작동하지 않습니다. 또한 같은 시스템에서 복사 및 붙여넣기 기능도 실패하는 것으로 확인되었습니다.

    참고: 이 문제는 Workstation 및 Fusion에서 실행되는 VMware Tools에 해당합니다.

    해결 방법:

    • modprobe.blacklist=vmwgfx linux 커널 부팅 옵션을 추가하십시오.
    • 더 큰 해상도에 액세스하려면 VMX 파일에서 svga.guestBackedPrimaryAware = "TRUE" 옵션을 제거하십시오.
  • 공유 폴더 마운트를 Linux VM에서 사용할 수 없습니다.

    전원이 꺼진 상태에서 Linux VM에서 공유 폴더 기능이 사용되도록 설정된 경우 다시 시작 시 공유 폴더 마운트를 사용할 수 없습니다.

    참고: 이 문제는 Workstation 및 Fusion에서 실행되는 VMware Tools에 해당합니다.

    해결 방법:

    VM 전원이 켜진 경우 인터페이스에서 공유 폴더 기능을 사용하지 않도록 설정했다가 다시 사용하도록 설정하십시오.
    이 문제를 영구적으로 해결하려면 /etc/fstab를 편집하고 부팅 시 자동으로 공유 폴더를 마운트하는 항목을 추가하십시오.
    예를 들어 다음 줄을 추가합니다.
    vmhgfs-fuse   /mnt/hgfs    fuse    defaults,allow_other    0    0

  • Solaris 11.4에서 VMware Tools 커널 모듈 서명 확인 실패와 관련된 주의 메시지가 표시됩니다.

    Solaris 11.4 릴리스에서는 Solaris 확인 부팅의 기본 정책이 “주의”로 설정되어 있습니다. 서명되지 않은 모듈이 로드되면 다음과 같은 주의 메시지가 나타납니다.

    "solaris-11.4 krtld: 주의: 모듈 /kernel/drv/amd64/vmmemctl의 서명을 확인하지 못했습니다."

    해결 방법:

    VMware는 VMware Tools 릴리스에서 Solaris용 서명된 커널 모듈을 제공하지 않습니다. 각 VMware Tools 커널 모듈이 로드될 때 콘솔 또는 시스템 로그(/var/log/messages)에 주의 메시지가 표시됩니다.
    그러나 "주의" 모드에서는 이 모듈이 커널에 로드됩니다.

  • 구현된 DLL 로딩 보안 개선 사항, Safebreach의 Peleg Hadar에 의해 제시됨.

    보안 개선 사항을 통해 VMware Tools 프로세스는 VMware Tools 설치 폴더 및 시스템 폴더에서만 DLL을 로드하고, 시스템 또는 사용자 %PATH% 환경 변수 경로나 프로세스의 현재 작업 디렉토리에서 어떤 DLL도 검색하지 않습니다.

    VMware Tools 이외에는 영향을 받는 제품이 없습니다. 그러나 이 수정 프로그램을 Windows Vista, Windows 7 및/또는 Windows Server 2008을 실행하는 고객에게 배포하려면 VMware Tools를 업그레이드하기 전에 먼저 Microsoft KB2533623을 설치해야 합니다. KB 55798을 참조하십시오.

    해결 방법:

    없음

check-circle-line exclamation-circle-line close-line
Scroll to top icon